html,
body {
    height: 100%;
    box-sizing: border-box;
    margin: 0;
}

.wrap {
    position: relative;
    margin: 50px auto 0 auto;
    padding: 0;
}

.wrap.loggedin {
    height: calc(100% - 110px);
}

.wrap > .content-holder {
    padding: 45px 15px 40px;
}

.wrap.loggedin > .content-holder {
    height: 100%;
    overflow-y: auto;
}

.wrap-for-partial > .content-holder {
    padding: 0;
    width: calc(100% - 40px);
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

.cover-image-holder {
    width: 100%;
    height: auto;
    position: relative;
    /*background-image: url('/img/cover-image.jpg');
    background-position: top right;
    background-size: contain;*/
}
.cover-image {
    display: block;
    width: 100%;
}

.btn-success {
    background-color: rgb(166,206,57);
    border-color: rgb(166,206,57);
}

nav.navbar {
    color: #333333;
    background-color: whitesmoke;
    border: 0;
}

.navbar-toggle {
    background-color: #333333;
}

.navbar-inverse .navbar-nav > li > a,
.navbar-inverse .navbar-nav > li > a:active,
.navbar-inverse .navbar-nav > li > a:visited {
    color: #111111;
}

.navbar-inverse .navbar-nav > li > a:hover {
    color: #666666;
}

.navbar-inverse .navbar-nav > .active > a,
.navbar-inverse .navbar-nav > .active > a:active,
.navbar-inverse .navbar-nav > .active > a:visited {
    color: white;
    background-color: #444444;
}

.navbar-inverse .btn-link {
    color: #111111;
}

.navbar-inverse .btn-link:hover {
    color: #666666;
}

.navbar-inverse .navbar-brand {
    color: #333333;
    padding: 5px 15px;
}

.navbar-inverse .navbar-brand:hover {
    color: #666666;
}

.navbar-inverse .navbar-brand img {
    height: 40px;
    display: inline-block;
    vertical-align: middle;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.loading-container {
	width: 49px;
	height: 49px;
	text-align: center;
	margin: 17px;
}

.loading-container.small {
	width: 28px;
	height: 28px;
	margin: 3px 5px;
}

.loading-wheel {
	width: 49px;
	height: 49px;
	margin: 0 auto;
	border-radius: 50%;
	border: 3px solid rgb(0,102,153);
	border-left-color: transparent;
	border-right-color: transparent;
	animation: cssload-spin 575ms infinite linear;
	-o-animation: cssload-spin 575ms infinite linear;
	-ms-animation: cssload-spin 575ms infinite linear;
	-webkit-animation: cssload-spin 575ms infinite linear;
	-moz-animation: cssload-spin 575ms infinite linear;
}

.loading-wheel.small {
	width: 28px;
	height: 28px;
}

.loading-wheel.fullscreen {
	margin: 20px;
}

@keyframes cssload-spin {
	100%{ transform: rotate(360deg); transform: rotate(360deg); }
}

@-o-keyframes cssload-spin {
	100%{ -o-transform: rotate(360deg); transform: rotate(360deg); }
}

@-ms-keyframes cssload-spin {
	100%{ -ms-transform: rotate(360deg); transform: rotate(360deg); }
}

@-webkit-keyframes cssload-spin {
	100%{ -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}

@-moz-keyframes cssload-spin {
	100%{ -moz-transform: rotate(360deg); transform: rotate(360deg); }
}

/* ---------------------- */
/*      űrlap elemek      */
/* ---------------------- */

legend {
    margin: 1.9em 0 1em 0;
    border: 0;
}

input, select, textarea {
    background-color: white;
}

input[type="checkbox"] {
    height: 18px;
    width: 18px;
    vertical-align: sub;
    margin: 0 5px 0 0;
}

.dataTables_wrapper > .dataTables_length > label > select {
    background-color: white;
    margin-left: 4px;
    margin-right: 4px;
}

.dataTables_wrapper > .dataTables_filter > label > input {
    background-color: white;
    margin-left: 8px;
}

table.dataTable > thead > tr {
    background-color: rgba(250,235,215,0.7);
}

/* ---------------------- */
/*         modal          */
/* ---------------------- */

.modal-header {
    background-color: antiquewhite;
}

.modal-title {
    font-weight: bold;
}

/* ---------------------- */
/*         gridek         */
/* ---------------------- */

th.button-column, td.button-column {
    width: 4px;
}

td.button-column {
    text-align: center;
    cursor: pointer;
}

td.button-column:hover {
    background-color: #fffaaa;
}

table.dataTable > tbody > tr.child ul.dtr-details > li {
    border: 0;
}

li.button-column {
    display: inline-block;
    height: 40px;
    width: 40px;
    text-align: center;
}

table.dataTable > tbody > tr.child ul.dtr-details > li.button-column > .dtr-title {
    display: none;
}

table.dataTable > tbody > tr.child ul.dtr-details > li:not(.button-column) > .dtr-title:after {
    content: ':';
}

li.button-column > .dtr-data > .btn-grid {
    line-height: 26px;
}

.btn-grid .fa-pen {
    color: #00cc00;
}

.btn-grid .fa-times {
    color: #dd0000;
}

/* ---------------------- */
/*      FullCalendar      */
/* ---------------------- */

.fc .fc-col-header-cell {
    background-color: rgba(250,235,215,0.7);
}

.fc .fc-col-header-cell .fc-col-header-cell-cushion {
    color: black;
}

.fc .fc-daygrid-day {
    background-color: rgba(255,255,255,0.8);
}

.fc .fc-daygrid-day:hover {
    background-color: rgba(255,245,225,0.8);
}

.fc .fc-daygrid-day.fc-day-today {
    background-color: rgba(255,255,225,0.8);
}

.fc .fc-daygrid-day.fc-day-today:hover {
    background-color: rgba(255,245,225,0.8);
}

.fc .fc-daygrid-day .fc-daygrid-day-number {
    font-weight: normal;
    padding: 4px 8px;
}

.fc .fc-bg-event {
    padding: 1.8em 5px 5px 5px;
    opacity: 1;
}

.fc .fc-bg-event .fc-event-title {
    font-style: normal;
}

/* ---------------------- */

.w-100 {
    width: 100%;
}

.fill {
    height: 100%;
}

.font-weight-bold {
    font-weight: bold;
}

.page-holder {
    min-height: 100%;
    padding: 20px 20px;
}

.page-title-holder {
    margin-bottom: 25px;
}

.page-title-holder > h2 {
    margin: 0;
}

section {
    margin-top: 40px;
}

section.leiras {
    background-color: rgba(235,235,235,1);
}

section.arak {
    background-color: rgba(166,206,57,.2);
}

section.kapcsolat {
    background-color: rgba(57,166,206,.2);
}

section.arak > h2 {
    background-color: rgb(166,206,57);
}

.section-content {
    font-size: 16px;
    padding: 30px;
}

.section-content > h1 {
    margin: 0 0 10px 0;
}

.arak-tabla {
    width: 100%;
    border-spacing: 10px;
}

.arak-tabla td {
    padding: 10px;
}

.kapcsolat-tabla {
    width: 100%;
    border-spacing: 10px;
}
